﻿% -----------------------------------------------------------------------------
% File: full_configuration.pl
% Content: Full configuration predicate of FLAME (refactored)
% Author: Amador Durán Toro
% Version: 2.0
% Date: 22/07/2014
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% full( Configuration( Selected, Removed ), spl( Features, Model ) )
% It checks if a configuration is full with respect to an SPL.
% -----------------------------------------------------------------------------

full( configuration( S, R ), spl( F, _ ) ) :-
  union( S, R, U ),
  equal_set( U, F ).
