﻿% -----------------------------------------------------------------------------
% File: generalization.pl
% Content: Generalization relation of FLAME (refactored)
% Author: Amador Durán Toro
% Version: 2.0
% Date: 22/07/2014
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% Z definitions
%   _generalization_ : SPL <-> SPL
%
% Prolog predicates
%   generalization( spl( F1, M1 ), spl( F2, M2 ) )
%
% It checks if It checks if the first SPL is a generalization of the second.
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% generalization( spl( F1, M1 ), spl( F2, M2 ) )
% It checks if the first SPL is a generalization of the second.
% -----------------------------------------------------------------------------

generalization( spl( F1, M1 ), spl( F2, M2 ) ) :-
  specialization( spl( F2, M2 ), spl( F1, M1 ) ).

