﻿% -----------------------------------------------------------------------------
% File: partial_configuration.pl
% Content: Partial configuration predicate of FLAME (refactored)
% Author: Amador Durán Toro
% Version: 2.0
% Date: 22/07/2014
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% partial( Configuration( Selected, Removed ), spl( Features, Model ) )
% It checks if a configuration is partial with respect to an SPL.
% -----------------------------------------------------------------------------

partial( configuration( S, R ), spl( F, _ ) ) :-
  union( S, R, U ),
  proper_subset( U, F ).
