﻿% -----------------------------------------------------------------------------
% File: t_features.pl
% Content: BFM features-in-a-model auxiliary function for FLAME
% Author: Amador Durán Toro
% Version: 2.0
% Date: 18/03/2015
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% Z definitions
%   tfeatures : TreeFeature -> F Feature
%
% Prolog predicates
%   t_features( TreeFeature, [ Feature ] )
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% t_features( TreeFeature, [ Feature ] )
% It computes the features in a TreeFeature.
% -----------------------------------------------------------------------------

t_features( feature( Fi, R ), F ) :-
  t_feature_bag( feature( Fi, R ), B ),
  bag_domain( B, F ).
