% -----------------------------------------------------------------------------
% File: BeTTy_00_preamble_coverage.pl
% Content: BeTTy tests for FLAME: tests preamble (including coverage)
% Author: Amador Durán Toro
% Version: 1.0
% Date: 27/07/2014
% -----------------------------------------------------------------------------

% -----------------------------------------------------------------------------
% Last update: 27/07/2014 (Amador Durán)
% Refactorization.
% Warning: test_cover.pl, although present in the SWI Prolog distribution,
% must be consulted explicitly in order to obtain detailed coverage results.
% -----------------------------------------------------------------------------

% Tests preamble
:- consult('test_cover.pl').          % Needed for detailed coverage results
:- no_style_check( single_var ).      % Avoid unnecesary warnings
:- no_style_check( discontiguous ).   % Avoid unnecesary warnings
:- consult( '../../afl/afl.pl'     ). % FLAME AFL layer
:- consult( '../../cml/bfm/bfm.pl' ). % FLAME CML layer for BFM


